DWARF_FORMSIG8(3) | Library Functions Manual | DWARF_FORMSIG8(3)

# NAME

`dwarf_formsig8` — return the 64-bit type signature for a DWARF type

# LIBRARY

DWARF Access Library (libdwarf, -ldwarf)

# SYNOPSIS

`#include <libdwarf.h>`

int
`dwarf_formsig8`(Dwarf_Attribute attr, Dwarf_Sig8 *ret, Dwarf_Error *err);

# DESCRIPTION

Function `dwarf_formsig8`() sets the location pointed to by argument ret to the 64-bit type signature that is the value of the attribute referenced by argument attr. The form of argument attr must be `DW_FORM_ref_sig8`.

If argument err is not `NULL`, it will be used to return an error descriptor in case of an error.

# RETURN VALUES

Function `dwarf_formsig8`() returns `DW_DLV_OK` on success. In case of an error, it returns `DW_DLV_ERROR` and sets argument err.

# ERRORS

Function `dwarf_formsig8`() may fail with the following errors:

[`DW_DLE_ARGUMENT`]
  Either of arguments attr or ret was `NULL`.
[`DW_DLE_ATTR_FORM_BAD`]
  The attribute referenced by argument attr was not of a permitted kind.

# SEE ALSO

dwarf(3), dwarf_attr(3), dwarf_formflag(3), dwarf_formref(3), dwarf_formsdata(3), dwarf_formstring(3), dwarf_formudata(3), dwarf_hasattr(3)

# HISTORY

Type signatures were added in version 4 of the DWARF specification.

July 24, 2010 | NetBSD 11.0